package com.hotent.project.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.base.manager.BaseManager;
import com.hotent.project.model.CostProjectMemo;
import com.hotent.project.req.CostProjectMemoQueryReq;
import com.hotent.project.req.CostProjectMemoUpdateReq;
import com.hotent.project.resp.CostProjectMemoDetailResp;

import java.util.List;
import java.util.Map;

/**
 * 监审项目备忘录表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-25
 */
public interface CostProjectMemoManager extends BaseManager<CostProjectMemo> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostProjectMemoDetailResp getDetail(String id);
	/**
	 * 新建、更新监审项目备忘录表
	 * @param costProjectMemo
	 * @return
	 */
	void createOrUpdate(CostProjectMemo costProjectMemo);

	/**
	 * 分页查询列表
	 * @param costProjectMemoQueryReq
	 * @return
	 */
	IPage<CostProjectMemo> pageList(CostProjectMemoQueryReq costProjectMemoQueryReq) ;

    public int updateMemo(CostProjectMemoUpdateReq req);

    Boolean saveData(CostProjectMemo t);

	IPage<CostProjectMemo> pageIndexList(CostProjectMemoQueryReq req);

    Map<String, List<CostProjectMemo>> getDataMonth(String month);

	Map<String, List<CostProjectMemo>> getIndexDataMonth(String month);
}
